export const EShoolStaffType = {
  SCHOOLMASTER: '校长',
  ORCHESTRA_LEADER: '乐团领队',
  SCHOOL_LEADER: '分管领导',
  TEACHER: '负责老师'
} as any;

// 老师考勤状态
export const teacherAttendanceStatus = {
  NORMAL: '正常',
  ERR: '异常',
  NO_COURSE: '无课'
} as any;

// 班级类型
// NORMAL("NORMAL", "声部班"), MIX("MIX", "合奏班"), HIGH("HIGH", "基础技能班"), HIGH_ONLINE("HIGH_ONLINE", "线上基础技能班"),
// MUSIC_NETWORK("MUSIC_NETWORK", "乐团网管课");
export const orchestraClassType = {
  NORMAL: '声部班',
  MIX: '合奏班',
  HIGH: '基础技能班',
  HIGH_ONLINE: '线上基础技能班',
  MUSIC_NETWORK: '乐团网管课'
} as any;

// 课程类型
export const coursesType = {
  // SINGLE: '声部课',
  // MIX: '合奏课',
  // HIGH: '基础技能课',
  // VIP: 'VIP课',
  // DEMO: '试听课',
  // COMPREHENSIVE: '综合课',
  // ENLIGHTENMENT: '启蒙课',
  // TRAINING_SINGLE: '集训声部课',
  // TRAINING_MIX: '集训合奏课',
  // CLASSROOM: '课堂课',
  // PRACTICE: '网管课',
  // COMM: '对外课',
  // HIGH_ONLINE: '线上基础技能课',
  // MUSIC_NETWORK: '乐团网管课'

  SINGLE: '声部课',
  MIX: '合奏课',
  HIGH: '基础技能课',
  COMPREHENSIVE: '综合课',
  TRAINING_SINGLE: '集训声部课',
  TRAINING_MIX: '集训合奏课',
  CLASSROOM: '课堂课',
  HIGH_ONLINE: '线上基础技能课',
  MUSIC_NETWORK: '乐团网管课'
} as any;

// 评价类型
export const evaluateStatus = {
  EXCELLENT: '优秀',
  GOOD: '良好',
  QUALIFIED: '合格',
  UNQUALIFIED: '不合格'
} as any;

// 问题类型
export const problemType = {
  CLASSROOM_DISCIPLINE: '课堂纪律',
  AFTER_SCHOOL_ORGANIZATION: '放学组织',
  ENVIRONMENTAL_SANITATION: '环境卫生',
  TEACHING_DEMEANOR: '教态仪表',
  COMMUNICATION_EXPRESSION: '沟通表达',
  PROFESSIONAL_ABILITY: '专业能力',
  OTHER: '其他'
} as any;

// 课程类型
export const coursesStatus = {
  NOT_START: '未开始',
  UNDERWAY: '进行中',
  OVER: '已结束'
} as any;

// 活动类型
export const activityStatus = {
  OPEN_DAY: '开放日',
  PERFORMANCE: '汇演',
  CONCERT: '音乐会',
  COMPETITION: '比赛',
  LECTURE: '讲座',
  SCHOOL_DAY: '校庆',
  WELCOME: '迎宾',
  OTHER: '其他'
} as any;

// , 可用值: ENSEMBLE, SOLO, REPRISE, UNISON
export const programType = {
  ENSEMBLE: '合奏',
  SOLO: '独奏',
  REPRISE: '重奏',
  UNISON: '齐奏'
} as any;

// 活动状态
export const activeStatus = {
  NOT_START: '未开始',
  PROCESSING: '进行中',
  END: '已结束'
} as any;

// 考勤类型
export const clockingIn = {
  NORMAL: '正常',
  TRUANT: '旷课',
  LEAVE: '请假',
  QUIT_SCHOOL: '休学',
  DROP_OUT: '退学',
  LATE: '迟到'
} as any;

/** 学生状态 */
export const STUDENTSTATUS = {
  GRADUATE: '毕业',
  NOT_INTERESTED: '不感兴趣',
  TIME_CONFLICT: '时间冲突',
  FEELING_UNWELL: '身体不适',
  OTHER: '其他'
};
