// 不需要登录的路由
export default [
  {
    path: '/school-register',
    name: 'school-register',
    component: () => import('@/views/school-register/index'),
    meta: {
      title: ' '
    }
  },
  {
    path: '/download',
    name: 'download',
    component: () => import('@/views/download/index'),
    meta: {
      title: '下载管乐迷管理端'
    }
  },
  {
    path: '/protocol-privacy',
    name: 'protocol-privacy',
    component: () => import('@/views/protocol/privacy'),
    meta: {
      title: '用户隐私协议'
    }
  },
  {
    path: '/protocol-register',
    name: 'protocol-register',
    component: () => import('@/views/protocol/register'),
    meta: {
      title: '用户注册协议'
    }
  },
  {
    path: '/download',
    name: 'download',
    component: () => import('@/views/download/index'),
    meta: {
      title: '下载管乐迷管理端'
    }
  },
  {
    path: '/test',
    name: 'test',
    component: () => import('@/views/test/index'),
    meta: {
      title: '测试'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404'
    }
  },
  {
    path: '/activity-record-detail',
    name: 'activity-record-detail',
    component: () => import('@/views/activity-record/detail'),
    meta: {
      title: '活动节目单'
    }
  }
];
